PYP(1)

NAME
pyp - The Pyed Piper: A Modern Python Alternative to awk, sed and Other Unix Text Manipulation Utilities

SYNOPSIS
pyp [options] files ...

DESCRIPTION
pyp, the Pyed Piper, is a command line tool for text manipulation. It is similar to awk and sed in functionality, but its subcommands are Python based, and thus more familiar to many programmers.

It can operate both on a per-line base and on the complete input stream. Different features can be pipelined in a single command by using the pipe character familiar from shell commands.

pyp backs up its input for reruns with modified commands, and can save commands as macros. On the downside, the rerun feature makes it unsuitable for continuous pipe operation.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, use --manual.

-h, --help
    Show this help message and exit.

-m, --manual
    Prints out extended help.

-l, --macro_list
    Lists all available macros.

-s MACRO_SAVE_NAME, --macro_save=MACRO_SAVE_NAME
    Saves current command as macro. use "#" for adding
    comments EXAMPLE:
    pyp -s "great_macro # prints first letter" "p[1]".

-f MACRO_FIND_NAME, --macro_find=MACRO_FIND_NAME
    Searches for macros with keyword or user name.

-d MACRO_DELETE_NAME, --macro_delete=MACRO_DELETE_NAME
    Deletes specified public macro.

-g, --macro_group
    Specify group macros for save and delete; default is user.

-t TEXT_FILE, --text_file=TEXT_FILE
    Specify text file to load. For advanced users,
    you should typically cat a file into pyp.

-x, --execute
    Execute all commands.

-c, --turn_off_color
    Prints raw, uncolored output.

-u, --unmodified_config
    Prints out generic PypCustom.py config file.

-b BLANK_INPUTS, --blank_inputs=BLANK_INPUTS
    Generate this number of blank input lines; useful for
    generating numbered lists with variable 'n'.

-n, --no_input
    Use with command that generates output with no input;
    same as --dummy_input 1.

-k, --keep_false
    Print blank lines for lines that test as False.
    default is to filter out False lines from the output.

-r, --rerun
    Rerun based on automatically cached data from the last run.
    Use this after executing "pyp", pasting input into the shell,
    and hitting CTRL-D.

SEE ALSO
awk(1), grep(1), sed(1).

AUTHOR
pyp was written by Toby Rosen <tobyrosen@gmail.com>.

This manual page was written by Khalid El Fathi <khalid@elfathi.fr>, for the Debian project (and may be used by others).